Debian Bug report logs - #709871
please set tftp blksize to max value

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Edwin Fukunaga <efukunag@gmail.com>

Date: Sun, 26 May 2013 07:39:01 UTC

Severity: normal

Tags: patch, pending

Found in version live-boot/2.0.15-1

Fixed in version live-boot/4.0~a13-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#709871; Package live-boot. (Sun, 26 May 2013 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edwin Fukunaga <efukunag@gmail.com>:
New Bug report received and forwarded. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sun, 26 May 2013 07:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Edwin Fukunaga <efukunag@gmail.com>
To: submit@bugs.debian.org
Subject: tftp transfer of a large squashfs image stalls after about 640 MB
Date: Sun, 26 May 2013 02:37:24 -0500
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 2.0.15-1
Tags: patch


Hello,

When I try to boot the Debian Live gnome-desktop flavor (6.0.7 netboot),
with the fetch=tftp://... boot parameter, the transfer of the squashfs
image stops after about 640 MB.  The boot process also stops at that point,
with the following display:

     /private/tftpboot/fi   0% |                                |     0   -
stalled -

However, booting does succeed with the standard flavor (6.0.6 netboot),
with the same boot parameters, ending at a shell prompt.

This is the whole list of kernel parameters:
debian-live/i386/vmlinuz-2.6.32-5-686
initrd=debian-live/i386/initrd.img-2.6.32-5-686 boot=live config
fetch=tftp://192.168.1.1/private/tftpboot/filesystem.squashfs  quiet

The archive file is:
http://live.debian.net/cdimage/release/6.0.7/i386/net/debian-live-6.0.7-i386-gnome-desktop-net.tar.gz

The dhcp/tftp servers are bootpd and tftpd in Mac OS X 10.5.8.

The amount of data reached before the transfer stops is about 640 MB.  This
could be limited by the block size times the number of blocks (10240
bytes/block * 65535 blocks = about 640 MB), so a fix might be to increase
the block size, as in the following patch:


---8<---
--- a/scripts/live
+++ b/scripts/live
@@ -784,8 +784,8 @@
                                 ip="$(dirname $url | sed -e 's|tftp://||g'
-e 's|/.*$||g')"
                                 rfile="$(echo $url | sed -e
"s|tftp://$ip||g")"
                                 lfile="$(basename $url)"
-                                log_begin_msg "Trying tftp -g -b 10240 -r
$rfile -l ${dest}/$lfile $ip"
-                                tftp -g -b 10240 -r $rfile -l
${dest}/$lfile $ip
+                                log_begin_msg "Trying tftp -g -b 65464 -r
$rfile -l ${dest}/$lfile $ip"
+                                tftp -g -b 65464 -r $rfile -l
${dest}/$lfile $ip
                             ;;

                             *)
---8<---



65464 bytes/block would be the maximum allowed block size, according to the
tftp(1) manpage.


Thank you,
Edwin
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#709871; Package live-boot. (Mon, 27 May 2013 14:43:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Mon, 27 May 2013 14:43:16 GMT) Full text and rfc822 format available.

Message #10 received at 709871@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Edwin Fukunaga <efukunag@gmail.com>
Cc: 709871@bugs.debian.org
Subject: Re: Bug#709871: tftp transfer of a large squashfs image stalls after about 640 MB
Date: Mon, 27 May 2013 16:40:50 +0200
retitle 709871 please set tftp blksize to max value
tag 709871 pending
thanks

On 05/26/2013 09:37 AM, Edwin Fukunaga wrote:
> 65464 bytes/block would be the maximum allowed block size, according to
> the tftp(1) manpage.

note that we're in initramfs here, means busybox' tftp implementation
applies and not whatever implementation of a tftp client you've
installed providing the tftp manpage.

anyway, RFC 2348 says the same about blocksize max value, the busybox'
tftp code/documentation doesn't show any further information on it, and
from a quick skimming throuhg the code i could not see any problems to
expect when using that max value. therefore, i've set it in git to 65464
as you suggested, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'please set tftp blksize to max value' from 'tftp transfer of a large squashfs image stalls after about 640 MB' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 14:44:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 14:44:21 GMT) Full text and rfc822 format available.

Marked as fixed in versions live-boot/4.0~a13-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 20:06:38 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 20:06:39 GMT) Full text and rfc822 format available.

Notification sent to Edwin Fukunaga <efukunag@gmail.com>:
Bug acknowledged by developer. (Mon, 27 May 2013 20:06:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:35:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.